import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/u_k_security_attendance_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/u_k_security_attendance_entity.g.dart';

@JsonSerializable()
class UKSecurityAttendanceEntity {
	int total = 0;
	List<UKSecurityAttendanceRows> rows = [];

	UKSecurityAttendanceEntity();

	factory UKSecurityAttendanceEntity.fromJson(Map<String, dynamic> json) => $UKSecurityAttendanceEntityFromJson(json);

	Map<String, dynamic> toJson() => $UKSecurityAttendanceEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class UKSecurityAttendanceRows {
	String? id;
	@JSONField(name: "staff_name")
	String? staffName;
	String? phone;
	@JSONField(name: "job_title")
	String? jobTitle;
	@JSONField(name: "department_name")
	String? departmentName;
	@JSONField(name: "job_time")
	String? jobTime;
	@JSONField(name: "applied_at")
	String? appliedAt;
	int status = 0;
	@JSONField(name: "status_show")
	String? statusShow;
	@JSONField(name: "security_in")
	UKSecurityInOut? securityIn;
	@JSONField(name: "security_out")
	UKSecurityInOut? securityOut;
	@JSONField(name: "s_in")
	int sIn = 0;
	@JSONField(name: "s_out")
	int sOut = 0;

	UKSecurityAttendanceRows();

	factory UKSecurityAttendanceRows.fromJson(Map<String, dynamic> json) => $UKSecurityAttendanceRowsFromJson(json);

	Map<String, dynamic> toJson() => $UKSecurityAttendanceRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class UKSecurityInOut {
	String? time;
	String? image;
	int changed = 0;

	UKSecurityInOut();

	factory UKSecurityInOut.fromJson(Map<String, dynamic> json) => $UKSecurityInOutFromJson(json);

	Map<String, dynamic> toJson() => $UKSecurityInOutToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}
